fn main() {
    // ANCHOR: here
    let mut s = String::from("hello");

    let r1 = &s; // Żadnych problemów
    let r2 = &s; // Żadnych problemów
    let r3 = &mut s; // DUŻY PROBLEM

    println!("{}, {}, and {}", r1, r2, r3);
    // ANCHOR_END: here
}
